/********************************** (C) COPYRIGHT *******************************
* File Name          : CONFIG.h
* Author             : WCH
* Version            : V1.10
* Date               : 2019/11/05
* Description        : ˵Ĭֵڹõǰֵ
*******************************************************************************/

/******************************************************************************/
#ifndef __CONFIG_H
#define __CONFIG_H

#define	ID_CH577							0x77
#define	ID_CH578							0x78
#define	ID_CH579							0x79

#define CHIP_ID								ID_CH579

#ifdef CH57xBLE_ROM
#include "CH57xBLE_ROM.H"
#else
#include "CH57xBLE_LIB.H"
#endif
/*********************************************************************
MAC
	BLE_MAC												- ǷԶMacַ ( Ĭ:FALSE )Ҫmain.c޸Macַ

SLEEP
	HAL_SLEEP   									- Ƿ˯߹ ( Ĭ:FALSE )
	WAKE_UP_RTC_MAX_TIME					- ˯߻ʱ䣬ݲͬ˯ȡֵɷΪ˯ģʽ/µģʽ -	80
																																								ͣģʽ					-	60
																																								ģʽ					-	10
														
SNV
	BLE_SNV    				            - ǷSNVܣڴϢ( Ĭ:TRUE )
	BLE_SNV_ADDR    					    - SNVϢַʹcode flashһ( Ĭ:0x3E600 )
	BLE_SNV_NUM    					    	- SNVϢÿԱ( Ĭ:1 )

RTC
	CLK_OSC32K_RC									- Ƿʹڲ32Kʹر( Ĭ:TRUE )	

MEMORY
	BLE_MEMHEAP_SIZE  						- ЭջʹõRAMС( Ĭ:(1024*8) )               

DATA
	BLE_BUFF_MAX_LEN							- ( Ĭ:27 (ATT_MTU=23)ȡֵΧ[27~251] )
	BLE_BUFF_NUM									- İ( Ĭ:10 )
	BLE_TX_NUM_EVENT							- ¼Էٸݰ( Ĭ:1 )
	BLE_TX_POWER									- 书( Ĭ:LL_TX_POWEER_0_DBM (0dBm) )

TEST
	BLE_DIRECT_TEST								- ǷֱӲģʽ( Ĭ:FALSE )
	
MULTICONN
	PERIPHERAL_MAX_CONNECTION			- ͬʱٴӻɫ( Ĭ:1 )
	CENTRAL_MAX_CONNECTION				- ͬʱɫ( Ĭ:3 )
**********************************************************************/

/*********************************************************************
 * Ĭֵ
 */
#ifndef BLE_MAC
#define BLE_MAC											FALSE
#endif
#ifndef HAL_SLEEP
#define HAL_SLEEP										FALSE
#define WAKE_UP_RTC_MAX_TIME				0
#endif
#ifndef HAL_KEY
#define HAL_KEY											FALSE
#endif
#ifndef HAL_LED
#define HAL_LED											FALSE	
#endif
#ifndef BLE_SNV
#define BLE_SNV											TRUE
#define BLE_SNV_ADDR								0x3E600
#define BLE_SNV_NUM									1
#endif
#ifndef CLK_OSC32K_RC
#define CLK_OSC32K_RC								TRUE
#endif
#ifndef BLE_MEMHEAP_SIZE
#define BLE_MEMHEAP_SIZE						(1024*8)
#endif
#ifndef BLE_BUFF_MAX_LEN
#define BLE_BUFF_MAX_LEN						27
#endif
#ifndef BLE_BUFF_NUM
#define BLE_BUFF_NUM								10
#endif
#ifndef BLE_TX_NUM_EVENT
#define BLE_TX_NUM_EVENT						1
#endif
#ifndef BLE_TX_POWER
#define BLE_TX_POWER								LL_TX_POWEER_0_DBM
#endif
#ifndef BLE_DIRECT_TEST
#define BLE_DIRECT_TEST							FALSE
#endif
#ifndef PERIPHERAL_MAX_CONNECTION
#define PERIPHERAL_MAX_CONNECTION		1
#endif
#ifndef CENTRAL_MAX_CONNECTION
#define CENTRAL_MAX_CONNECTION			3
#endif

extern u32 MEM_BUF[BLE_MEMHEAP_SIZE/4];
extern u8C MacAddr[6];

#endif

/******************************* endfile @ config ******************************/
